MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029531Open CASCADE[OCCT] OCCT:Application Frameworkpublic2018-03-01 15:022018-06-29 21:21
Reporterdbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029531: Application Framework - Exception on Redo
DescriptionProblem originally described in issue 0028946 is still reproduced on Redo.
Steps To Reproducestatic Standard_Integer TestUndoRedo (Draw_Interpretor& theDI,
                                      Standard_Integer theArgC,
                                      const char** theArgV)
{
  Handle (TDocStd_Application) anApp = DDocStd::GetApplication ();
  Handle (TDocStd_Document) aDoc;
  anApp->NewDocument ("BinOcaf", aDoc);
  aDoc->SetUndoLimit (1);

  STEPCAFControl_Reader Reader;
  Reader.ReadFile ("D:/nist_ctc_02_asme1_ap242-2.stp");
  Reader.Transfer (aDoc);
  TDF_Label aShL, aDL;
  TDF_Tool::Label (aDoc->GetData (), "0:1:1:2:672", aShL);
  TDF_Tool::Label (aDoc->GetData (), "0:1:4:10", aDL);

  aDoc->OpenCommand ();

  Handle (XCAFDoc_DimTolTool) aDimTolTool = XCAFDoc_DocumentTool::DimTolTool (aDoc->Main ());
  aDimTolTool->SetDimension (aShL, aDL);

  aDoc->CommitCommand ();

  aDoc->Undo ();
  aDoc->Redo ();

  return 0;
}
TagsNo tags attached.
Test case numberbugs caf bug29531
Attached Files? file icon nist_ctc_02_asme1_ap242-2.stp (3,611,524 bytes) 2018-03-01 15:02

- Relationships
related to 0029142closedbugmaster Exception on Redo 
related to 0028946closedbugmaster Exception on Undo 

-  Notes
(0074246)
git (administrator)
2018-03-05 11:12

Branch CR29531 has been created by mpv.

SHA-1: 8ee5977fc6995f47fc71cb5fcbbdb9e0bbcd46b2


Detailed log of new commits:

Author: mpv
Date: Mon Mar 5 11:11:52 2018 +0300

    0029531: Exception on Redo
(0074251)
git (administrator)
2018-03-05 15:06

Branch CR29531 has been updated by mpv.

SHA-1: 2517f04e9a0a8d51023220b0bb125a9a6025b081


Detailed log of new commits:

Author: mpv
Date: Mon Mar 5 15:05:55 2018 +0300

    # remove compilation warnings

(0074256)
bugmaster (administrator)
2018-03-05 15:44

The shape bug29531_nist_ctc_02_asme1_ap242-2.stp has been added to test shapes repository.
(0074263)
mpv (developer)
2018-03-06 10:18

Please, review:
http://jenkins-test-10.nnov.opencascade.com:8080/view/CR29531-master-MPV/view/COMPARE/ [^]
(0074473)
szy (developer)
2018-03-14 14:56

Reviewed.
(0074479)
bugmaster (administrator)
2018-03-14 16:18

Combination -
OCCT branch : CR29531 SHA - 2517f04e9a0a8d51023220b0bb125a9a6025b081
Products branch : master SHA - 4fd289ec73d35d02f23f3990c73b3acac9a60574
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18271.039999999695 / 18338.37999999957 [-0.37%]
Products
Total CPU difference: 7492.599999999998 / 7461.340000000009 [+0.42%]
Windows-64-VC10:
OCCT
Total CPU difference: 17674.71049869859 / 17653.338361698563 [+0.12%]
Products
Total CPU difference: 7990.1684186999855 / 7990.761222500007 [-0.01%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0074504)
kgv (developer)
2018-03-15 16:13

Dear bugmaster,

commit's "author" should be fixed before integration into master.
(0074610)
git (administrator)
2018-03-19 10:05

Branch CR29531 has been deleted by kgv.

SHA-1: 2517f04e9a0a8d51023220b0bb125a9a6025b081

- Related Changesets
occt: master f46c2b39
Timestamp: 2018-03-05 08:11:52
Author: mpv
Committer: bugmaster
Details ] Diff ]
0029531: Exception on Redo
mod - src/QABugs/QABugs_20.cxx Diff ] File ]
mod - src/TDF/TDF_Data.cxx Diff ] File ]
mod - src/TDF/TDF_Data.hxx Diff ] File ]
add - tests/bugs/caf/bug29531 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-01 15:02 dbv New Issue
2018-03-01 15:02 dbv Assigned To => mpv
2018-03-01 15:02 dbv File Added: nist_ctc_02_asme1_ap242-2.stp
2018-03-01 15:02 dbv Relationship added related to 0029142
2018-03-01 15:03 dbv Relationship added related to 0028946
2018-03-05 11:12 git Note Added: 0074246
2018-03-05 15:06 git Note Added: 0074251
2018-03-05 15:44 bugmaster Note Added: 0074256
2018-03-06 10:18 mpv Note Added: 0074263
2018-03-06 10:18 mpv Assigned To mpv => szy
2018-03-06 10:18 mpv Status new => resolved
2018-03-14 14:06 abv Target Version 7.4.0* => 7.3.0
2018-03-14 14:56 szy Note Added: 0074473
2018-03-14 14:56 szy Assigned To szy => bugmaster
2018-03-14 14:56 szy Status resolved => reviewed
2018-03-14 16:13 bugmaster Test case number => bugs caf bug29531
2018-03-14 16:18 bugmaster Note Added: 0074479
2018-03-14 16:18 bugmaster Status reviewed => tested
2018-03-15 16:13 kgv Note Added: 0074504
2018-03-16 13:48 kgv Summary Exception on Redo => Application Framework - Exception on Redo
2018-03-18 13:21 bugmaster Changeset attached => occt master f46c2b39
2018-03-18 13:21 bugmaster Status tested => verified
2018-03-18 13:21 bugmaster Resolution open => fixed
2018-03-19 10:05 git Note Added: 0074610
2018-06-29 21:16 user533 Fixed in Version => 7.3.0
2018-06-29 21:21 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker